Bug 360792 - akonadi_davgroupware_resource crashes constandly
Summary: akonadi_davgroupware_resource crashes constandly
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: DAV Resource (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal with 80 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 362420 379538 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-03-20 20:26 UTC by kai.straube
Modified: 2017-10-10 22:30 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.6.2


Attachments
stacktrace (8.67 KB, text/plain)
2016-04-21 07:32 UTC, Łukasz Żarnowiecki
Details
crash dump (9.08 KB, text/plain)
2016-05-17 13:43 UTC, Tim Eberhardt
Details
new crash dump with frameworks 5.24 and apps 16.04.3 (10.04 KB, text/plain)
2016-07-14 10:50 UTC, Tim Eberhardt
Details
developer info (8.58 KB, text/plain)
2016-08-27 13:19 UTC, Mirko Guldner
Details
debug info (11.03 KB, text/plain)
2016-11-13 11:30 UTC, Tim Eberhardt
Details
akonadi_davgroupware_resource 16.12.0-1 crashlog with debug symbols (7.54 KB, text/plain)
2017-01-07 00:01 UTC, kramski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kai.straube 2016-03-20 20:26:48 UTC
Application: akonadi_davgroupware_resource (akonadi_davgroupware_resource), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fef244b5940 (LWP 2352))]

Thread 5 (Thread 0x7fef0b630700 (LWP 2353)):
#0  0x00007fef1eb1943d in poll () from /lib64/libc.so.6
#1  0x00007fef19373432 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007fef19375007 in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007fef0d358dd9 in ?? () from /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007fef1f41f90f in ?? () from /usr/lib64/libQt5Core.so.5
#5  0x00007fef18f4f454 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fef1eb21d8d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fef09d21700 (LWP 2354)):
#0  0x00007fffafe0dc4f in clock_gettime ()
#1  0x00007fef1eb2e986 in clock_gettime () from /lib64/libc.so.6
#2  0x00007fef1f4cb156 in ?? () from /usr/lib64/libQt5Core.so.5
#3  0x00007fef1f642069 in QTimerInfoList::updateCurrentTime() () from /usr/lib64/libQt5Core.so.5
#4  0x00007fef1f642595 in QTimerInfoList::timerWait(timespec&) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fef1f64393e in ?? () from /usr/lib64/libQt5Core.so.5
#6  0x00007fef18a318bd in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#7  0x00007fef18a321c3 in ?? () from /usr/lib64/libglib-2.0.so.0
#8  0x00007fef18a3239c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#9  0x00007fef1f6444db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#10 0x00007fef1f5ee5ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#11 0x00007fef1f41aadc in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#12 0x00007fef1f41f90f in ?? () from /usr/lib64/libQt5Core.so.5
#13 0x00007fef18f4f454 in start_thread () from /lib64/libpthread.so.0
#14 0x00007fef1eb21d8d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fef09520700 (LWP 2356)):
#0  0x00007fef18a75530 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fef18a31300 in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fef18a32165 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fef18a3239c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fef1f6444db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fef1f5ee5ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#6  0x00007fef1f41aadc in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#7  0x00007fef1f41f90f in ?? () from /usr/lib64/libQt5Core.so.5
#8  0x00007fef18f4f454 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fef1eb21d8d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fef08d1f700 (LWP 2358)):
#0  0x00007fef1eb1943d in poll () from /lib64/libc.so.6
#1  0x00007fef18a32294 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fef18a3239c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fef1f6444db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fef1f5ee5ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fef1f41aadc in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fef1f41f90f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fef18f4f454 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fef1eb21d8d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fef244b5940 (LWP 2352)):
[KCrash Handler]
#6  QHash<QString, QHashDummyValue>::isEmpty (this=this@entry=0x18) at /usr/include/qt5/QtCore/qhash.h:357
#7  QHash<QString, QHashDummyValue>::remove (this=this@entry=0x18, akey=...) at /usr/include/qt5/QtCore/qhash.h:835
#8  0x000000000045dee9 in QSet<QString>::remove (value=..., this=0x18) at /usr/include/qt5/QtCore/qset.h:92
#9  EtagCache::removeEtag (this=this@entry=0x0, remoteId=...) at /usr/src/debug/kdepim-runtime-15.12.3/resources/dav/common/etagcache.cpp:67
#10 0x00000000004776d4 in DavGroupwareResource::onItemChangedFinished (this=0xa6c670, job=<optimized out>) at /usr/src/debug/kdepim-runtime-15.12.3/resources/dav/resource/davgroupwareresource.cpp:1033
#11 0x00007fef1f61dd97 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
#12 0x00007fef2159cd32 in KJob::result (this=this@entry=0x1084bc0, _t1=_t1@entry=0x1084bc0) at /usr/src/debug/kcoreaddons-5.20.0/build/src/lib/moc_kjob.cpp:555
#13 0x00007fef2159d771 in KJob::finishJob (this=0x1084bc0, emitResult=<optimized out>) at /usr/src/debug/kcoreaddons-5.20.0/src/lib/jobs/kjob.cpp:109
#14 0x00007fef2159d78a in KJob::emitResult (this=<optimized out>) at /usr/src/debug/kcoreaddons-5.20.0/src/lib/jobs/kjob.cpp:293
#15 0x00000000004487ff in DavItemModifyJob::itemRefreshed (this=0x1084bc0, job=<optimized out>) at /usr/src/debug/kdepim-runtime-15.12.3/resources/dav/common/davitemmodifyjob.cpp:130
#16 0x00007fef1f61dd97 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
#17 0x00007fef2159cd32 in KJob::result (this=this@entry=0xa95180, _t1=_t1@entry=0xa95180) at /usr/src/debug/kcoreaddons-5.20.0/build/src/lib/moc_kjob.cpp:555
#18 0x00007fef2159d771 in KJob::finishJob (this=0xa95180, emitResult=<optimized out>) at /usr/src/debug/kcoreaddons-5.20.0/src/lib/jobs/kjob.cpp:109
#19 0x00007fef2159d78a in KJob::emitResult (this=<optimized out>) at /usr/src/debug/kcoreaddons-5.20.0/src/lib/jobs/kjob.cpp:293
#20 0x0000000000447c45 in DavItemFetchJob::davJobFinished (this=0xa95180, job=<optimized out>) at /usr/src/debug/kdepim-runtime-15.12.3/resources/dav/common/davitemfetchjob.cpp:92
#21 0x00007fef1f61dd97 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
#22 0x00007fef2159cd32 in KJob::result (this=this@entry=0xb09730, _t1=_t1@entry=0xb09730) at /usr/src/debug/kcoreaddons-5.20.0/build/src/lib/moc_kjob.cpp:555
#23 0x00007fef2159d771 in KJob::finishJob (this=0xb09730, emitResult=<optimized out>) at /usr/src/debug/kcoreaddons-5.20.0/src/lib/jobs/kjob.cpp:109
#24 0x00007fef2159d78a in KJob::emitResult (this=<optimized out>) at /usr/src/debug/kcoreaddons-5.20.0/src/lib/jobs/kjob.cpp:293
#25 0x00007fef2295bdf2 in KIO::SimpleJob::slotFinished (this=this@entry=0xb09730) at /usr/src/debug/kio-5.20.0/src/core/simplejob.cpp:230
#26 0x00007fef22964ef3 in KIO::TransferJob::slotFinished (this=0xb09730) at /usr/src/debug/kio-5.20.0/src/core/transferjob.cpp:166
#27 0x00007fef22964651 in KIO::TransferJob::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kio-5.20.0/build/src/core/moc_transferjob.cpp:155
#28 0x00007fef1f61df0a in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
#29 0x00007fef22940021 in KIO::SlaveInterface::dispatch (this=0xab6d40, _cmd=<optimized out>, rawdata=...) at /usr/src/debug/kio-5.20.0/src/core/slaveinterface.cpp:160
#30 0x00007fef2293d7d7 in KIO::SlaveInterface::dispatch (this=0xab6d40) at /usr/src/debug/kio-5.20.0/src/core/slaveinterface.cpp:89
#31 0x00007fef22941a52 in KIO::Slave::gotInput (this=0xab6d40) at /usr/src/debug/kio-5.20.0/src/core/slave.cpp:393
#32 0x00007fef229b8815 in KIO::Slave::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kio-5.20.0/build/src/core/moc_slave.cpp:87
#33 0x00007fef1f61df0a in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
#34 0x00007fef228f4f33 in KIO::Connection::readyRead (this=<optimized out>) at /usr/src/debug/kio-5.20.0/build/src/core/moc_connection_p.cpp:141
#35 KIO::ConnectionPrivate::dequeue (this=0xb21710) at /usr/src/debug/kio-5.20.0/src/core/connection.cpp:45
#36 0x00007fef1f61ecf9 in QObject::event(QEvent*) () from /usr/lib64/libQt5Core.so.5
#37 0x00007fef20e5887c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#38 0x00007fef20e5d986 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#39 0x00007fef1f5f0c83 in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#40 0x00007fef1f5f2fa6 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQt5Core.so.5
#41 0x00007fef1f6440b3 in ?? () from /usr/lib64/libQt5Core.so.5
#42 0x00007fef18a320c7 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#43 0x00007fef18a322f8 in ?? () from /usr/lib64/libglib-2.0.so.0
#44 0x00007fef18a3239c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#45 0x00007fef1f6444bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#46 0x00007fef1f5ee5ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#47 0x00007fef1f5f628d in QCoreApplication::exec() () from /usr/lib64/libQt5Core.so.5
#48 0x00007fef237fdb4e in Akonadi::ResourceBase::init (r=r@entry=0xa6c670) at /usr/src/debug/kdepimlibs-15.12.3/akonadi/src/agentbase/resourcebase.cpp:606
#49 0x0000000000482d87 in Akonadi::ResourceBase::init<DavGroupwareResource> (argc=3, argv=<optimized out>) at /usr/include/KF5/AkonadiAgentBase/resourcebase.h:196
#50 0x00007fef1ea585b0 in __libc_start_main () from /lib64/libc.so.6
#51 0x000000000043bc39 in _start () at ../sysdeps/x86_64/start.S:118


Reproducible: Always
Comment 1 Łukasz Żarnowiecki 2016-04-21 07:31:50 UTC
I can confirm the existence of the bug.

Steps to reproduce:
1. Open KMail.
2. Try to add the new mail identity.
3. Fill the required fields.
4. Save identity.
5. Observe how akonadi_davgroupware crashes
Comment 2 Łukasz Żarnowiecki 2016-04-21 07:32:34 UTC
Created attachment 98492 [details]
stacktrace
Comment 3 Tim Eberhardt 2016-05-17 13:41:55 UTC
Can confirm this.

openSUSE Tumbleweed, KDE from Factory repository
Applications 16.04
Frameworks 5.22
Comment 4 Tim Eberhardt 2016-05-17 13:43:02 UTC
Created attachment 99035 [details]
crash dump
Comment 5 Tim Eberhardt 2016-07-14 10:50:50 UTC
Created attachment 100094 [details]
new crash dump with frameworks 5.24 and apps 16.04.3
Comment 6 Mirko Guldner 2016-08-27 13:19:06 UTC
Created attachment 100804 [details]
developer info
Comment 7 Mirko Guldner 2016-08-27 13:21:49 UTC
Some problem here:

cat /etc/os-release
NAME=openSUSE
VERSION="Tumbleweed"
VERSION_ID="20160822"

 kontact --version
kontact 5.2.3
Comment 8 Tim Eberhardt 2016-11-13 11:30:57 UTC
Created attachment 102203 [details]
debug info

I can confirm this Bug (see attached debug infos).
openSUSE Tumbleweed
Applications 16.08.3-13.1
Frameworks 5.28.0-120.1
Comment 9 kramski 2017-01-06 23:58:00 UTC
Same here on Arch Linux with kdepim-runtime/kde-applications-meta 16.12-1
Comment 10 kramski 2017-01-07 00:01:44 UTC
Created attachment 103245 [details]
akonadi_davgroupware_resource 16.12.0-1 crashlog with debug symbols
Comment 11 kramski 2017-01-14 15:43:11 UTC
Still happening with KDE Applications 16.12.1.

Current chrashlog (with debug symbols) is here: https://dl.dropboxusercontent.com/u/48919449/akonadi_davgroupware_resource-crashlog-dbg-20170114.log
Comment 12 Timo 2017-02-07 06:45:01 UTC
Same thing happening on ubuntu 17.04 with KDE installed.

kontact --version = 5.2.3
akonadictl --version =  5.2.2
kmail --version = 5.2.3
plasmashell --version = 5.8.5
Comment 13 Timo 2017-02-07 07:42:38 UTC
*** This bug has been confirmed by popular vote. ***
Comment 14 a.key 2017-04-13 11:18:01 UTC
I'm on Fedora 25 with:
plasma: 5.9.3
Framework: 5.33.0
Qt: 5.7.1
kdepim: 16.12.2
akonadi: 1.13.0
kf5-akonadi-calendar: 16.12.3

akonadi_davgroupware_resource crashes everytime I add google's DAV calendar using the still working old DAV endpoints which require "application password". The DAV resource URL I'm using is:
https://www.google.com/calendar/dav/STRING@gmail.com

Stack trace:

Application: akonadi_davgroupware_resource (akonadi_davgroupware_resource), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fcbb8cc6940 (LWP 29557))]

Thread 5 (Thread 0x7fcba4a97700 (LWP 29562)):
#0  0x00007fcbd177029a in timerSourceCheckHelper(GTimerSource*) () at /lib64/libQt5Core.so.5
#1  0x00007fcbc84fbbc9 in g_main_context_check () at /lib64/libglib-2.0.so.0
#2  0x00007fcbc84fc104 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#3  0x00007fcbc84fc27c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#4  0x00007fcbd17706eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007fcbd172168a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x00007fcbd157e5e3 in QThread::exec() () at /lib64/libQt5Core.so.5
#7  0x00007fcbd15829ca in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x00007fcbd06576ca in start_thread () at /lib64/libpthread.so.0
#9  0x00007fcbd0975f7f in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7fcba5298700 (LWP 29560)):
#0  0x00007fcbd096a01d in poll () at /lib64/libc.so.6
#1  0x00007fcbc84fc166 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007fcbc84fc27c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007fcbd17706eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007fcbd172168a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007fcbd157e5e3 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007fcbd15829ca in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#7  0x00007fcbd06576ca in start_thread () at /lib64/libpthread.so.0
#8  0x00007fcbd0975f7f in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7fcba5a99700 (LWP 29559)):
#0  0x00007fcbd096a01d in poll () at /lib64/libc.so.6
#1  0x00007fcbc84fc166 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007fcbc84fc27c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007fcbd17706eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007fcbd172168a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007fcbd157e5e3 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007fcbd8979739 in QDBusConnectionManager::run() () at /lib64/libQt5DBus.so.5
#7  0x00007fcbd15829ca in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x00007fcbd06576ca in start_thread () at /lib64/libpthread.so.0
#9  0x00007fcbd0975f7f in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7fcbae925700 (LWP 29558)):
#0  0x00007fcbd096a01d in poll () at /lib64/libc.so.6
#1  0x00007fcbcc0f0d10 in _xcb_conn_wait () at /lib64/libxcb.so.1
#2  0x00007fcbcc0f2aa9 in xcb_wait_for_event () at /lib64/libxcb.so.1
#3  0x00007fcbb2108d69 in QXcbEventReader::run() () at /lib64/libQt5XcbQpa.so.5
#4  0x00007fcbd15829ca in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#5  0x00007fcbd06576ca in start_thread () at /lib64/libpthread.so.0
#6  0x00007fcbd0975f7f in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7fcbb8cc6940 (LWP 29557)):
[KCrash Handler]
#6  0x000055f76db5ef4b in EtagCache::setEtag(QString const&, QString const&) ()
#7  0x000055f76db7dd8f in DavGroupwareResource::onItemFetched(KJob*, DavGroupwareResource::ItemFetchUpdateType) ()
#8  0x00007fcbd1749a56 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#9  0x00007fcbd2f1c682 in KJob::result(KJob*, KJob::QPrivateSignal) () at /lib64/libKF5CoreAddons.so.5
#10 0x00007fcbd2f1dfc1 in KJob::finishJob(bool) () at /lib64/libKF5CoreAddons.so.5
#11 0x000055f76db41c6d in DavItemFetchJob::davJobFinished(KJob*) ()
#12 0x00007fcbd1749a56 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#13 0x00007fcbd2f1c682 in KJob::result(KJob*, KJob::QPrivateSignal) () at /lib64/libKF5CoreAddons.so.5
#14 0x00007fcbd2f1dfc1 in KJob::finishJob(bool) () at /lib64/libKF5CoreAddons.so.5
#15 0x00007fcbd57ed442 in KIO::SimpleJob::slotFinished() () at /lib64/libKF5KIOCore.so.5
#16 0x00007fcbd57f7d26 in KIO::TransferJob::slotFinished() () at /lib64/libKF5KIOCore.so.5
#17 0x00007fcbd57f7491 in KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /lib64/libKF5KIOCore.so.5
#18 0x00007fcbd1749721 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#19 0x00007fcbd57c71a1 in KIO::SlaveInterface::dispatch(int, QByteArray const&) () at /lib64/libKF5KIOCore.so.5
#20 0x00007fcbd57c57e7 in KIO::SlaveInterface::dispatch() () at /lib64/libKF5KIOCore.so.5
#21 0x00007fcbd57ca851 in KIO::Slave::gotInput() () at /lib64/libKF5KIOCore.so.5
#22 0x00007fcbd5856595 in KIO::Slave::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /lib64/libKF5KIOCore.so.5
#23 0x00007fcbd1749721 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#24 0x00007fcbd5766e9f in KIO::ConnectionPrivate::dequeue() [clone .part.8] () at /lib64/libKF5KIOCore.so.5
#25 0x00007fcbd174a7e9 in QObject::event(QEvent*) () at /lib64/libQt5Core.so.5
#26 0x00007fcbd2630ecc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#27 0x00007fcbd2638671 in QApplication::notify(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#28 0x00007fcbd17226fa in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#29 0x00007fcbd1724de0 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /lib64/libQt5Core.so.5
#30 0x00007fcbd1770653 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib64/libQt5Core.so.5
#31 0x00007fcbc84fbe52 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#32 0x00007fcbc84fc1d0 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#33 0x00007fcbc84fc27c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#34 0x00007fcbd17706cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#35 0x00007fcbd172168a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#36 0x00007fcbd172918c in QCoreApplication::exec() () at /lib64/libQt5Core.so.5
#37 0x00007fcbd7fc002e in Akonadi::ResourceBase::init(Akonadi::ResourceBase*) () at /lib64/libKF5AkonadiAgentBase.so.5
#38 0x000055f76db89e47 in int Akonadi::ResourceBase::init<DavGroupwareResource>(int, char**) ()
#39 0x00007fcbd088e401 in __libc_start_main () at /lib64/libc.so.6
#40 0x000055f76db33d3a in _start ()
Comment 15 jansen 2017-09-27 21:00:53 UTC
Still happening to me on up-to-date openSUSE Tumbleweed (KF5 5.38.0, KDE 17.08.1).
There is a proposed patch attached to https://bugs.archlinux.org/task/53943 but I haven't been able to test that.
Comment 16 Daniel Vrátil 2017-09-29 11:56:46 UTC
*** Bug 379538 has been marked as a duplicate of this bug. ***
Comment 17 Daniel Vrátil 2017-09-29 12:00:20 UTC
Git commit a86b0808c1d6553419aa78b7e104d820991c7080 by Daniel Vrátil.
Committed on 29/09/2017 at 11:58.
Pushed by dvratil into branch 'Applications/17.08'.

DAV: fix crash if Collection disappears during Item fetch
FIXED-IN: 5.6.2

M  +16   -0    resources/dav/resource/davgroupwareresource.cpp

https://commits.kde.org/kdepim-runtime/a86b0808c1d6553419aa78b7e104d820991c7080
Comment 18 jansen 2017-09-29 12:45:17 UTC
Bug 362420 is probably a duplicate of this, too.
Comment 19 Christoph Feck 2017-10-10 22:30:04 UTC
*** Bug 362420 has been marked as a duplicate of this bug. ***